﻿@model VmPersona

@{
    Layout = "_Layout";
    ViewData["Title"] = "Log in";
}
<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between align-items-center">
            <div>
                <h4 class="font-weight-bold mb-0">BIENVENIDO @ViewBag.NOMBRE</h4>
            </div>
            <div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-10">
                        <h4>
                            Mi Perfil Clínico
                        </h4>
                    </div>
                    <div class="col-2 text-right">
                        <button type="button" class="btn btn-primary btn-sm" id="ActualizaPersona">
                            Editar
                        </button>
                    </div>
                </div>
                <div class="row mt-4">
                    <div class="col-5">
                        <img src="#" alt="Alternate Text" class="bg-warning text-warning" style="width: 100%;height: auto;">
                    </div>
                    <div class="col-7" id="pnelDatosPersonas">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group mb-1">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                                Sexo
                                            </span>
                                        </div>
                                        <input type="text" name="sexo" asp-for="SEXO"
                                               class="form-control form-control-sm">
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-1">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                                Edad
                                            </span>
                                        </div>
                                        <input type="text" name="edad" asp-for="EDAD"
                                               class="form-control form-control-sm">
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-1">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                                Peso
                                            </span>
                                        </div>
                                        <input type="text" asp-for="PSO"
                                               class="form-control form-control-sm">
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-1">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                                Altura
                                            </span>
                                        </div>
                                        <input type="text" asp-for="ALTRA"
                                               class="form-control form-control-sm">
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group mb-1">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                                Tipo Sangre
                                            </span>
                                        </div>
                                        <input type="text" name="tiposangre" asp-for="TSNGRE"
                                               class="form-control form-control-sm">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <p class="text-muted font-weight-light"></p>
            </div>
        </div>
    </div>
    <div class="col-md-6 grid-margin stretch-card">
        <div class="card border-bottom-0">
            <div class="card-body pb-0">
                <p class="card-title"></p>
                <p class="text-muted font-weight-light"></p>
                <div class="d-flex flex-wrap mb-5" style="display:none !important;">
                    <div class="mr-5 mt-3">
                        <p class="text-muted">Status</p>
                        <h3>362</h3>
                    </div>
                    <div class="mr-5 mt-3">
                        <p class="text-muted">New users</p>
                        <h3>187</h3>
                    </div>
                    <div class="mr-5 mt-3">
                        <p class="text-muted">Chats</p>
                        <h3>524</h3>
                    </div>
                    <div class="mt-3">
                        <p class="text-muted">Feedbacks</p>
                        <h3>509</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <p class="card-title"></p>
                <p class="text-muted font-weight-light"></p>
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">
                            <i class="ti-calendar menu-icon"></i> Citas
                            programadas
                        </a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">
                            <i class="ti-clipboard menu-icon"></i> Historial
                            de citas
                        </a>
                    </li>
                </ul>
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                        <div class="row my-5">
                            <div class="col-md-4"></div>
                            <div class="col-md-4">No tiene citas programadas.</div>
                            <div class="col-md-4"></div>
                        </div>
                        <div class="row my-1">
                            <div class="col-md-4"></div>
                            <div class="col-md-4">
                                <a  asp-controller="Citas" asp-action="Index" class="btn btn-primary btn-lg text-white" >Generar Cita </a>
                            </div>
                            <div class="col-md-4"></div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">2</div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalEditarPersona" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true" data-url='@Url.Action("EditarPersona", "Persona",Model)'>
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
        </div>
    </div>
</div>
<script type="text/javascript" asp-append-version="true">
    $(document).ready(function () {
        $('#ActualizaPersona').click(function () {
            var url = $('#modalEditarPersona').data('url');
            $.get(url, function (data) {
                $('#modalEditarPersona .modal-content').html(data);
                $('#modalEditarPersona').modal('show');
            });
        });
    });
</script>